net.corda.core.node.services

## Interface UniquenessProvider

- All Known Implementing Classes:
    BFTSmartUniquenessProvider, InMemoryUniquenessProvider, PersistentUniquenessProvider, RaftUniquenessProvider

      public UniquenessProvider

  A service that records input states of the given transaction and provides conflict information if any of the inputs have already been used in another transaction.

  A uniqueness provider is expected to be used from within the context of a flow.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `UniquenessProvider.Conflict` Specifies the consuming transaction for every conflicting state
    `static class` | `UniquenessProvider.ConsumingTx` Specifies the transaction id, the position of the consumed state in the inputs, and the caller identity requesting the commit.

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commit(java.util.List<net.corda.core.contracts.StateRef> states, SecureHash txId, Party callerIdentity)` Commits all input states of the given transaction

- - ### Method Detail

    - #### commit

          void commit(java.util.List<net.corda.core.contracts.StateRef> states,
                      SecureHash txId,
                      Party callerIdentity)

      Commits all input states of the given transaction